## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 27;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_with bootstrap

Name:           jakarta-activation1
Version:        1.2.2
Release:        %autorelease
Summary:        Jakarta Activation API 1.2
License:        BSD-3-Clause
URL:            https://jakarta.ee/specifications/activation/1.2/
BuildArch:      noarch
ExclusiveArch:  %{java_arches} noarch

Source0:        https://github.com/jakartaee/jaf-api/archive/%{version}/jaf-%{version}.tar.gz

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires:  mvn(org.apache.maven.plugins:maven-source-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
%endif

%description
Jakarta Activation defines a set of standard services to: determine
the MIME type of an arbitrary piece of data; encapsulate access to it;
discover the operations available on it; and instantiate the
appropriate bean to perform the operation(s).

%prep
%autosetup -p1 -C

%pom_remove_parent
%pom_disable_module demo

%pom_remove_plugin -r :maven-enforcer-plugin

%pom_remove_plugin :directory-maven-plugin
sed -i 's/${main.basedir}/${basedir}/' pom.xml

# Remove custom doclet configuration
%pom_remove_plugin :maven-javadoc-plugin activation

# Set bundle version manually instead of with osgiversion-maven-plugin
# (the plugin is only used to strip off -SNAPSHOT or -Mx qualifiers)
%pom_remove_plugin :osgiversion-maven-plugin
sed -i "s/\${activation.osgiversion}/%{version}/g" activation/pom.xml

%mvn_compat_version jakarta*: 1 %{version} 1.2.1 1.2.0 1.1.1

# TODO delete
%mvn_file com.sun.activation:jakarta.activation %{name}/jakarta.activation javax.activation

%build
# Javadoc fails:
# /builddir/build/BUILD/jaf-api-1.2.2/activation/src/main/java/module-info.java:11: error: duplicate module: jakarta.activation
%mvn_build -j

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE.md NOTICE.md

%changelog
## START: Generated by rpmautospec
* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Nov 29 2024 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.2-26
- Update javapackages test plan to f42

* Wed Nov 27 2024 Marian Koncek <mkoncek@redhat.com> - 1.2.2-25
- Revert "Use supported %%autosetup"

* Wed Nov 27 2024 Marian Koncek <mkoncek@redhat.com> - 1.2.2-24
- Use supported %%autosetup

* Wed Aug 21 2024 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.2-15
- Switch to new GitHub repository

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Feb 27 2024 Jiri Vanek <jvanek@redhat.com> - 1.2.2-13
- Rebuilt for java-21-openjdk as system jdk

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Sep 01 2023 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.2-10
- Convert License tag to SPDX format

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri Jan 20 2023 Marian Koncek <mkoncek@redhat.com> - 1.2.2-8
- Add major compat version

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Jan 11 2023 Marian Koncek <mkoncek@redhat.com> - 1.2.2-6
- Provide a javax.activation.jar symlink

* Mon Jan 09 2023 Marian Koncek <mkoncek@redhat.com> - 1.2.2-5
- Remove noncompat javax provides
- Add more compat jakarta provides

* Tue Dec 20 2022 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.2-4
- Fix incorrect Maven metadata

* Thu Dec 08 2022 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.2-3
- Add non-compat javax.activation:activation alias

* Thu Dec 01 2022 Marian Koncek <mkoncek@redhat.com> - 1.2.2-2
- Use only the major version in maven compat version

* Wed Nov 30 2022 Marian Koncek <mkoncek@redhat.com> - 1.2.2-1
- Initial package renamed from jakarta-activation

## END: Generated by rpmautospec
